Uses of Class
net.ontopia.topicmaps.query.impl.basic.QueryMatches
Packages that use QueryMatches
Package
Description
Contains the in-memory implementation of the query language.
Contains the rdbms implementation of the query language.
Code shared between query implementations.
Contains the code that parses tolog queries.
Provides a set of service provider interfaces for adding new
predicates to the tolog query language.
-
Uses of QueryMatches in net.ontopia.topicmaps.query.impl.basic
Fields in net.ontopia.topicmaps.query.impl.basic declared as QueryMatchesMethods in net.ontopia.topicmaps.query.impl.basic that return QueryMatchesModifier and TypeMethodDescriptionstatic QueryMatchesPredicateUtils.collectionToOne(QueryMatches matches, Object[] objects, int fromix, int toix, int operation) Given a collection of objects, produce a single new object from each of them and put it into the toix column.QueryProcessor.count(TologQuery query, QueryMatches matches) INTERNAL: Replaces count($A) variables by their relevant counts.QueryProcessor.createInitialMatches(TologQuery query, Collection items, Map arguments) QueryProcessor.createInitialMatches(TologQuery query, Map arguments) protected QueryMatchesBaseLocatorPredicate.fillIn(QueryMatches matches, int locix) protected QueryMatchesTopicMapPredicate.fillIn(QueryMatches matches, int tmix) BaseLocatorPredicate.filter(QueryMatches matches, int locix) protected QueryMatchesInPredicate.filter(QueryMatches matches, int ix1, Set values) static QueryMatchesPredicateUtils.filter(QueryMatches matches, int ix1, int ix2, Class class1, Class class2, int operation) static QueryMatchesPredicateUtils.filterClass(QueryMatches matches, int ix1, Class klass) Filters a result set so that only rows where the object in a specific column is an instance of a specific class are accepted.static QueryMatchesPredicateUtils.generateFromCollection(QueryMatches matches, int fromix, int toix, Collection startset, int operation) Assuming both columns are empty, iterate over a collection of start values, binding the first column to the start value, and the second column to each object in a collection generated from the start value.QueryMatches.merge(int[] intspec, QueryMatches extmatches, int[] extspec, int[] equalpairs) INTERNAL: Merges this match table (from inside a rule) with another match table (from the calling context), producing a new set of matches (corresponding to the result of the rule, as viewed from the outside).static QueryMatchesPredicateUtils.objectToMany(QueryMatches matches, int fromix, int toix, Class fromclass, int operation, IndexIF index) static QueryMatchesPredicateUtils.objectToMany(QueryMatches matches, int fromix, int toix, Class fromclass, int operation, IndexIF index1, IndexIF index2) static QueryMatchesPredicateUtils.objectToOne(QueryMatches matches, int fromix, int toix, Class fromclass, int operation) QueryProcessor.reduce(TologQuery query, QueryMatches matches) INTERNAL: Projects the query results onto the set of variables specified in the 'select' clause.QueryMatches.removeDuplicates()AbstractInstanceOfPredicate.satisfy(QueryMatches result, Object[] arguments) static QueryMatchesAbstractQueryProcessor.satisfy(List clauses, QueryMatches result) INTERNAL: Takes the query parameters and produces the complete list of matches.AssociationPredicate.satisfy(QueryMatches matches, Object[] arguments) AssociationRolePredicate.satisfy(QueryMatches matches, Object[] arguments) BaseLocatorPredicate.satisfy(QueryMatches matches, Object[] arguments) BasicPredicateIF.satisfy(QueryMatches result, Object[] arguments) CoalescePredicate.satisfy(QueryMatches matches, Object[] arguments) DatatypePredicate.satisfy(QueryMatches matches, Object[] arguments) DynamicAssociationPredicate.satisfy(QueryMatches matches, Object[] arguments) DynamicFailurePredicate.satisfy(QueryMatches matches, Object[] arguments) DynamicOccurrencePredicate.satisfy(QueryMatches matches, Object[] arguments) EqualsPredicate.satisfy(QueryMatches matches, Object[] arguments) GreaterThanEqualsPredicate.satisfy(QueryMatches matches, Object[] arguments) GreaterThanPredicate.satisfy(QueryMatches matches, Object[] arguments) InPredicate.satisfy(QueryMatches matches, Object[] arguments) ItemIdentifierPredicate.satisfy(QueryMatches matches, Object[] arguments) JavaSearcherPredicate.satisfy(QueryMatches matches, Object[] arguments) LessThanEqualsPredicate.satisfy(QueryMatches matches, Object[] arguments) LessThanPredicate.satisfy(QueryMatches matches, Object[] arguments) NamePredicate.satisfy(QueryMatches result, Object[] arguments) NotEqualsPredicate.satisfy(QueryMatches matches, Object[] arguments) ObjectIdPredicate.satisfy(QueryMatches matches, Object[] arguments) OccurrencePredicate.satisfy(QueryMatches matches, Object[] arguments) ReifiesPredicate.satisfy(QueryMatches matches, Object[] arguments) RemoveDuplicatesPredicate.satisfy(QueryMatches matches, Object[] arguments) ResourcePredicate.satisfy(QueryMatches matches, Object[] arguments) RolePlayerPredicate.satisfy(QueryMatches matches, Object[] arguments) RulePredicate.satisfy(QueryMatches extmatches, Object[] extarguments) ScopePredicate.satisfy(QueryMatches matches, Object[] arguments) StringModule.EndsWithPredicate.satisfy(QueryMatches matches, Object[] arguments) StringModule.StartsWithPredicate.satisfy(QueryMatches matches, Object[] arguments) SubjectIdentifierPredicate.satisfy(QueryMatches matches, Object[] arguments) SubjectLocatorPredicate.satisfy(QueryMatches matches, Object[] arguments) TopicMapPredicate.satisfy(QueryMatches matches, Object[] arguments) TopicNamePredicate.satisfy(QueryMatches matches, Object[] arguments) TopicPredicate.satisfy(QueryMatches matches, Object[] arguments) TypePredicate.satisfy(QueryMatches matches, Object[] arguments) ValueLikePredicate.satisfy(QueryMatches matches, Object[] arguments) ValuePredicate.satisfy(QueryMatches matches, Object[] arguments) VariantPredicate.satisfy(QueryMatches matches, Object[] arguments) Methods in net.ontopia.topicmaps.query.impl.basic with parameters of type QueryMatchesModifier and TypeMethodDescriptionvoidQueryMatches.add(QueryMatches extra) INTERNAL: Adds all the matches in the given table to this table.protected voidQueryMatches.addNonRedundant(QueryMatches matches) INTERNAL: Adds all rows which do not already exist.static QueryMatchesPredicateUtils.collectionToOne(QueryMatches matches, Object[] objects, int fromix, int toix, int operation) Given a collection of objects, produce a single new object from each of them and put it into the toix column.QueryProcessor.count(TologQuery query, QueryMatches matches) INTERNAL: Replaces count($A) variables by their relevant counts.static voidQueryTracer.enter(BasicPredicateIF predicate, AbstractClause clause, QueryMatches input) static voidQueryTracer.enter(OrClause clause, QueryMatches input) voidQueryTracer.TracePrinter.enter(BasicPredicateIF predicate, AbstractClause clause, QueryMatches input) voidQueryTracer.TracePrinter.enter(OrClause clause, QueryMatches input) static voidQueryTracer.enterSelect(QueryMatches result) voidQueryTracer.TracePrinter.enterSelect(QueryMatches result) protected QueryMatchesBaseLocatorPredicate.fillIn(QueryMatches matches, int locix) protected QueryMatchesTopicMapPredicate.fillIn(QueryMatches matches, int tmix) BaseLocatorPredicate.filter(QueryMatches matches, int locix) protected QueryMatchesInPredicate.filter(QueryMatches matches, int ix1, Set values) static QueryMatchesPredicateUtils.filter(QueryMatches matches, int ix1, int ix2, Class class1, Class class2, int operation) static QueryMatchesPredicateUtils.filterClass(QueryMatches matches, int ix1, Class klass) Filters a result set so that only rows where the object in a specific column is an instance of a specific class are accepted.static QueryMatchesPredicateUtils.generateFromCollection(QueryMatches matches, int fromix, int toix, Collection startset, int operation) Assuming both columns are empty, iterate over a collection of start values, binding the first column to the start value, and the second column to each object in a collection generated from the start value.protected DynamicAssociationPredicate.ArgumentPair[]DynamicAssociationPredicate.getBoundArguments(QueryMatches matches, Object[] arguments, int boundarg) int[][]QueryMatches.getTranslationSpec(Object[] intarguments, QueryMatches extmatches, Object[] extarguments) INTERNAL: Computes the translation specification array, which gives the connection between this and the other match table.protected DynamicAssociationPredicate.ArgumentPair[]DynamicAssociationPredicate.getUnboundArguments(QueryMatches matches, Object[] arguments) static voidQueryTracer.leave(QueryMatches result) voidQueryTracer.TracePrinter.leave(QueryMatches result) static voidQueryTracer.leaveSelect(QueryMatches result) voidQueryTracer.TracePrinter.leaveSelect(QueryMatches result) QueryMatches.merge(int[] intspec, QueryMatches extmatches, int[] extspec, int[] equalpairs) INTERNAL: Merges this match table (from inside a rule) with another match table (from the calling context), producing a new set of matches (corresponding to the result of the rule, as viewed from the outside).static QueryMatchesPredicateUtils.objectToMany(QueryMatches matches, int fromix, int toix, Class fromclass, int operation, IndexIF index) static QueryMatchesPredicateUtils.objectToMany(QueryMatches matches, int fromix, int toix, Class fromclass, int operation, IndexIF index1, IndexIF index2) static QueryMatchesPredicateUtils.objectToOne(QueryMatches matches, int fromix, int toix, Class fromclass, int operation) protected voidResourcePredicate.prefetchResource(QueryMatches matches, Object[] arguments, int objix) protected voidScopePredicate.prefetchScope(QueryMatches matches, Object[] arguments, int scopedix) protected voidItemIdentifierPredicate.prefetchSources(QueryMatches matches, Object[] arguments, int objix) protected voidTypePredicate.prefetchType(QueryMatches matches, Object[] arguments, int instix) protected voidValuePredicate.prefetchValue(QueryMatches matches, Object[] arguments, int objix) QueryProcessor.reduce(TologQuery query, QueryMatches matches) INTERNAL: Projects the query results onto the set of variables specified in the 'select' clause.protected voidQueryMatches.remove(QueryMatches matches) INTERNAL: Removes the rows which have matching counterparts in the argument.AbstractInstanceOfPredicate.satisfy(QueryMatches result, Object[] arguments) static QueryMatchesAbstractQueryProcessor.satisfy(List clauses, QueryMatches result) INTERNAL: Takes the query parameters and produces the complete list of matches.AssociationPredicate.satisfy(QueryMatches matches, Object[] arguments) AssociationRolePredicate.satisfy(QueryMatches matches, Object[] arguments) BaseLocatorPredicate.satisfy(QueryMatches matches, Object[] arguments) BasicPredicateIF.satisfy(QueryMatches result, Object[] arguments) CoalescePredicate.satisfy(QueryMatches matches, Object[] arguments) DatatypePredicate.satisfy(QueryMatches matches, Object[] arguments) DynamicAssociationPredicate.satisfy(QueryMatches matches, Object[] arguments) DynamicFailurePredicate.satisfy(QueryMatches matches, Object[] arguments) DynamicOccurrencePredicate.satisfy(QueryMatches matches, Object[] arguments) EqualsPredicate.satisfy(QueryMatches matches, Object[] arguments) GreaterThanEqualsPredicate.satisfy(QueryMatches matches, Object[] arguments) GreaterThanPredicate.satisfy(QueryMatches matches, Object[] arguments) InPredicate.satisfy(QueryMatches matches, Object[] arguments) ItemIdentifierPredicate.satisfy(QueryMatches matches, Object[] arguments) JavaSearcherPredicate.satisfy(QueryMatches matches, Object[] arguments) LessThanEqualsPredicate.satisfy(QueryMatches matches, Object[] arguments) LessThanPredicate.satisfy(QueryMatches matches, Object[] arguments) NamePredicate.satisfy(QueryMatches result, Object[] arguments) NotEqualsPredicate.satisfy(QueryMatches matches, Object[] arguments) ObjectIdPredicate.satisfy(QueryMatches matches, Object[] arguments) OccurrencePredicate.satisfy(QueryMatches matches, Object[] arguments) ReifiesPredicate.satisfy(QueryMatches matches, Object[] arguments) RemoveDuplicatesPredicate.satisfy(QueryMatches matches, Object[] arguments) ResourcePredicate.satisfy(QueryMatches matches, Object[] arguments) RolePlayerPredicate.satisfy(QueryMatches matches, Object[] arguments) RulePredicate.satisfy(QueryMatches extmatches, Object[] extarguments) ScopePredicate.satisfy(QueryMatches matches, Object[] arguments) StringModule.EndsWithPredicate.satisfy(QueryMatches matches, Object[] arguments) StringModule.StartsWithPredicate.satisfy(QueryMatches matches, Object[] arguments) SubjectIdentifierPredicate.satisfy(QueryMatches matches, Object[] arguments) SubjectLocatorPredicate.satisfy(QueryMatches matches, Object[] arguments) TopicMapPredicate.satisfy(QueryMatches matches, Object[] arguments) TopicNamePredicate.satisfy(QueryMatches matches, Object[] arguments) TopicPredicate.satisfy(QueryMatches matches, Object[] arguments) TypePredicate.satisfy(QueryMatches matches, Object[] arguments) ValueLikePredicate.satisfy(QueryMatches matches, Object[] arguments) ValuePredicate.satisfy(QueryMatches matches, Object[] arguments) VariantPredicate.satisfy(QueryMatches matches, Object[] arguments) voidQueryProcessor.sort(TologQuery query, QueryMatches matches) INTERNAL: Sorts the query result as requested.static voidQueryTracer.trace(String msg, QueryMatches matches) voidQueryMatches.translate(int[] fromCols, QueryMatches toQM, int[] toCols) INTERNAL: Translates matches in this table into corresponding matches in the other.Constructors in net.ontopia.topicmaps.query.impl.basic with parameters of type QueryMatchesModifierConstructorDescriptionQueryMatches(QueryMatches matches) INTERNAL: Creates a new (empty) matches object with the same column definitions as the QueryMatches object passed in the parameter.QueryResult(QueryMatches matches) QueryResult(QueryMatches matches, int limit, int offset) -
Uses of QueryMatches in net.ontopia.topicmaps.query.impl.rdbms
Methods in net.ontopia.topicmaps.query.impl.rdbms that return QueryMatchesModifier and TypeMethodDescriptionprotected QueryMatchesParsedQuery.prepareQueryMatches(Map arguments) BasicCountComponent.satisfy(QueryMatches matches, Map arguments) BasicQueryComponent.satisfy(QueryMatches matches, Map arguments) BasicReduceComponent.satisfy(QueryMatches matches, Map arguments) BasicSortComponent.satisfy(QueryMatches matches, Map arguments) JDOBasicPredicate.satisfy(QueryMatches result, Object[] arguments) JDOQueryComponent.satisfy(QueryMatches matches, Map arguments) QueryComponentIF.satisfy(QueryMatches matches, Map arguments) INTERNAL: Processes the specified QueryMatches instance and produces a new QueryMatches instance based on information in the input instance.Methods in net.ontopia.topicmaps.query.impl.rdbms with parameters of type QueryMatchesModifier and TypeMethodDescriptionBasicCountComponent.satisfy(QueryMatches matches, Map arguments) BasicQueryComponent.satisfy(QueryMatches matches, Map arguments) BasicReduceComponent.satisfy(QueryMatches matches, Map arguments) BasicSortComponent.satisfy(QueryMatches matches, Map arguments) JDOBasicPredicate.satisfy(QueryMatches result, Object[] arguments) JDOQueryComponent.satisfy(QueryMatches matches, Map arguments) QueryComponentIF.satisfy(QueryMatches matches, Map arguments) INTERNAL: Processes the specified QueryMatches instance and produces a new QueryMatches instance based on information in the input instance. -
Uses of QueryMatches in net.ontopia.topicmaps.query.impl.utils
Fields in net.ontopia.topicmaps.query.impl.utils declared as QueryMatchesMethods in net.ontopia.topicmaps.query.impl.utils that return QueryMatchesModifier and TypeMethodDescriptionstatic QueryMatchesQueryMatchesUtils.createInitialMatches(QueryContext context, Collection columnDefs) HierarchyWalkerRulePredicate.satisfy(QueryMatches extmatches, Object[] extarguments) QueryOptimizer.PumpPredicate.satisfy(QueryMatches input, Object[] arguments) Methods in net.ontopia.topicmaps.query.impl.utils with parameters of type QueryMatchesModifier and TypeMethodDescriptionvoidQueryTraceListenerIF.enter(BasicPredicateIF predicate, AbstractClause clause, QueryMatches input) voidQueryTraceListenerIF.enter(OrClause clause, QueryMatches input) voidQueryTraceListenerIF.enterSelect(QueryMatches result) voidQueryTraceListenerIF.leave(QueryMatches result) voidQueryTraceListenerIF.leaveSelect(QueryMatches result) static booleanPrefetcher.prefetch(TopicMapIF tm, QueryMatches matches, int qmidx, int type, int[] fields, boolean[] traverse) static booleanPrefetcher.prefetch(TopicMapIF tm, QueryMatches matches, int qmidx, int type, int field, boolean traverse) static booleanPrefetcher.prefetchRolesByType(TopicMapIF tm, QueryMatches matches, int qmidx, TopicIF rtype, int[] fields, boolean[] traverse) static booleanPrefetcher.prefetchRolesByType(TopicMapIF tm, QueryMatches matches, int qmidx, TopicIF rtype, TopicIF atype, int[] fields, boolean[] traverse) HierarchyWalkerRulePredicate.satisfy(QueryMatches extmatches, Object[] extarguments) QueryOptimizer.PumpPredicate.satisfy(QueryMatches input, Object[] arguments) voidPredicateSignature.verifyBound(QueryMatches matches, Object[] arguments, PredicateIF predicate) INTERNAL: Verifies that arguments which are required to be bound actually are bound.Constructors in net.ontopia.topicmaps.query.impl.utils with parameters of type QueryMatches -
Uses of QueryMatches in net.ontopia.topicmaps.query.parser
Methods in net.ontopia.topicmaps.query.parser with parameters of type QueryMatchesModifier and TypeMethodDescriptionprotected intModificationFunctionStatement.doFunctionUpdates(QueryMatches matches) intDeleteStatement.doUpdates(QueryMatches matches) intInsertStatement.doUpdates(QueryMatches matches) intMergeStatement.doUpdates(QueryMatches matches) abstract intModificationStatement.doUpdates(QueryMatches matches) intUpdateStatement.doUpdates(QueryMatches matches) protected static intModificationStatement.getIndex(Object arg, QueryMatches matches) -
Uses of QueryMatches in net.ontopia.topicmaps.query.spi
Methods in net.ontopia.topicmaps.query.spi that return QueryMatchesModifier and TypeMethodDescriptionfinal QueryMatchesFilterPredicate.satisfy(QueryMatches matches, Object[] arguments) abstract QueryMatchesJavaPredicate.satisfy(QueryMatches matches, Object[] arguments) INTERNAL: Internal machinery.final QueryMatchesProcessPredicate.satisfy(QueryMatches matches, Object[] arguments) Methods in net.ontopia.topicmaps.query.spi with parameters of type QueryMatchesModifier and TypeMethodDescriptionfinal QueryMatchesFilterPredicate.satisfy(QueryMatches matches, Object[] arguments) abstract QueryMatchesJavaPredicate.satisfy(QueryMatches matches, Object[] arguments) INTERNAL: Internal machinery.final QueryMatchesProcessPredicate.satisfy(QueryMatches matches, Object[] arguments)